#!/bin/bash
#prepare alsa

echo "--- Alsa configuring ---"
if [[ -x $(which amixer) ]]; then
    # enable all known (tm) outputs
    for ch in "Master" "Front" "Side" "Surround" "Center" "LFE" "Headphone" "Speaker" "PCM" "Line" \
        "External" "FM" "Master Mono" "Master Digital" "Digital" "Master Front" "Analog Mix" "Aux" \
        "Aux2" "PCM Center"  "PCM Front" "PCM LFE" "PCM Side" "PCM Surround" "Playback" "PCM,1" \
        "DAC" "DAC,0" "DAC,0"  "DAC,1" "DAC,1" "Synth" "CD" "Wave" "Music" "AC97" "Analog Front"  \
        "VIA DXS,0" "VIA DXS,1" "VIA DXS,2" "VIA DXS,3" "IEC958 Capture Monitor" "IEC958 Playback AC97-SPSA"; do
        amixer -c 0 sset "${ch}" 70% unmute  &>/dev/null &
    done

    # set input levels
    amixer -c 0 sset "Mic" 70% mute &>/dev/null
    amixer -c 0 sset "IEC958" 70% mute &>/dev/null

    # special stuff
    amixer -c 0 sset "Master Playback Switch" on &>/dev/null
    amixer -c 0 sset "Master Surround" on &>/dev/null
    amixer -c 0 sset "SB Live Analog/Digital Output Jack" off &>/dev/null
    amixer -c 0 sset "Audigy Analog/Digital Output Jack" off &>/dev/null

    # save settings
    alsactl -f /etc/asound.state store &>/dev/null
else
    echo "alsamixer not found"
fi
