#!/bin/bash
# This file is for all the hacks and stuff we might
# need for certain hardware.


echo "--- Some hacks ---"
# eeepc stuff
for i in camera cardr wlan; do
    [[ -r /sys/bus/platform/drivers/eeepc/eeepc/"$i" ]] && echo 1 > /sys/bus/platform/drivers/eeepc/eeepc/"$i"
done

# try to fix some problems with realtek network cards
network_check_8139=$(lsmod | grep 8139cp || lsmod | grep 8139too)
if [[ -n "${network_check_8139}" ]]; then
        network_8139cp=$(dmesg | grep -i 'Try the "8139too" driver instead')
        network_8139too=$(dmesg | grep -i 'Try the "8139cp" driver instead')

    if [[ -n "${network_8139cp}" ]]; then
        echo "Detected broken network driver: 8139cp"
        echo "Trying to fix it, loading driver: 8139too"

        rmmod 8139cp &>/dev/null
        touch /etc/modprobe.d/realtek_blacklist.conf &>/dev/null
        echo "blacklist 8139cp" >> /etc/modprobe.d/realtek_blacklist.conf &>/dev/null

        modprobe 8139too &>/dev/null
    fi

    if [[ -n "${network_8139too}" ]]; then
        echo "Detected broken network driver: 8139too"
        echo "Trying to fix it, loading driver: 8139cp"

        rmmod 8139too &>/dev/null

        touch /etc/modprobe.d/realtek_blacklist.conf &>/dev/null 
        echo "blacklist 8139too" >> /etc/modprobe.d/realtek_blacklist.conf &>/dev/null

        modprobe 8139cp &>/dev/null
        dmesg | grep 8139

    fi
fi # if [ -n "${network_check_8139}" ]
