#!/bin/bash
# check if we are running inside a virtual machine

echo "--- Virtual prepare ---"

is_virt=$(systemd-detect-virt)

if [[ "$is_virt" == "oracle" ]]; then  # VirtualBox
    echo "Virtualization detected: VirtualBox"

    # Using vbox divers
    # vboxsf depend with vboxguest 
    for m in vboxguest vboxsf vboxvideo; do
        modprobe --first-time ${m} &>/dev/null 
    done

    # add xorg-config for using vboxvideo
    cat > /etc/X11/xorg.conf.d/10-vboxvideo.conf <<EOT
Section "Device"        
    Identifier  "Card0"        
    Driver      "vboxvideo"
EndSection

EOT
elif [[ "$is_virt" == "vmware" ]]; then  # VmWare 
    echo "Virtualization detected: VMware"
    #Using vmware drivers
    # vsock and vmhgfs depend with vmci
    for m in vmhgfs vmblock vmsync  vmxnet  vsock vmwgfx; do
        modprobe --first-time ${p} &>/dev/null &
    done

    # add xorg-config for using vmware
    cat > /etc/X11/xorg.conf.d/10-vmware.conf <<EOT
Section "Device"        
    Identifier  "Card0"        
    Driver      "vmware"
EndSection

EOT
fi
