#!/bin/sh
set -e

device_ids() {
  local readme="$1"
  local ret=1

# NVIDIA 
echo "###########################"
echo "# NVIDIA supported cards. #"
echo "# Do not edit manually.   #"
echo "###########################"
sed -nr '/^Appendix .\. Supported NVIDIA /,/^The 173.14.xx/ {s/.*   0x([0-9a-fA-F]{4})(   .*|$)/nvidia \1/p}' "$readme" | tr A-F a-f | sort | uniq
# NVIDIA-173xx
#sed -nr '/^The 173.14.xx/,/^The 96.43.xx/ {s/.*   0x([0-9a-fA-F]{4})(   .*|$)/nvidia-173xx \1/p}' "$readme" | tr A-F a-f | sort | uniq
# NVIDIA-96xx
#sed -nr '/^The 96.43.xx/,/^The 71.86.xx/ {s/.*   0x([0-9a-fA-F]{4})(   .*|$)/nvidia-96xx \1/p}' "$readme" | tr A-F a-f | sort | uniq
}

if [[ -z "$1" ]]; then
  >&2 printf 'USAGE: %s README.txt\n' "$0"
  exit 1
fi

device_ids "$@"

# vim:set et sw=2 sts=2:
