#!/bin/bash
# dependencies: dmidecode, sed, module-init-tools, 
#
#**************************************************************************
#    Copyright (C) 2011 Alexander Ovsyannikov                             *
#    <ovsinc[at]ya[dot]ru>                                                *
#   This script is free software; you can redistribute it and/or modify   *
#   it under the terms of the GNU General Public License as published by  *
#   the Free Software Foundation; either version 2 of the License, or     *
#   (at your option) any later version.                                   *
#                                                                         *
#   This program is distributed in the hope that it will be useful,       *
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#   GNU General Public License for more details.                          *
#                                                                         *
#   You should have received a copy of the GNU General Public License     *
#   along with this program; if not, write to the                         *
#   Free Software Foundation, Inc.,                                       *
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
#**************************************************************************

# LOG FILE
ALL_LOG="/var/log/openarch_hw.log"
HOOK_DIR="/opt/openarch/hooks"
#PROC="$(($(ls -d /sys/devices/system/cpu/cpu[[:digit:]]* | wc -w) + 1))"
PROC="$(($(cat /proc/cpuinfo 2>/dev/null | grep processor | wc -l) + 1))"
#HOOKS="hwdetect_virtual hwdetect_power hwdetect_alsa hwdetect_quirks ck-session-activate_hook setup_xorg"

# parallel running hooks
# Now have: hwdetect_virtual hwdetect_power hwdetect_alsa hwdetect_quirks ck-session-activate_hook setup_xorg
find $HOOK_DIR -type f -print0 | xargs -0 -n 1 -P $PROC /bin/bash  1>${ALL_LOG} 2>&1

exit 0
